Bug 18773 - t/db_dependent/www/history.t is failing
Summary: t/db_dependent/www/history.t is failing
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-09 22:56 UTC by M. Tompsett
Modified: 2017-06-13 20:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18773: Fix failing history.t test (1.66 KB, patch)
2017-06-09 22:57 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18773: Fix failing history.t test (1.79 KB, patch)
2017-06-11 04:45 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18773: Fix failing history.t test (1.85 KB, patch)
2017-06-12 13:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-06-09 22:56:33 UTC

    
Comment 1 M. Tompsett 2017-06-09 22:57:45 UTC
Created attachment 64168 [details] [review]
Bug 18773: Fix failing history.t test

changed get() to get_ok() and increased test count to match.
Now the master build will only fail on search_utf8.t

TEST PLAN
---------
assuming KOHA_CONF is set.
$ export KOHA_INTRANET_URL=...
$ export KOHA_OPAC_URL=...
$ prove -v t/db_dependent/www/history.t

run koha qa test tools
Comment 2 Lee Jamison 2017-06-10 11:33:16 UTC
Applying the patch fixes the original problem with GETing the page. However, running prove -v t/db_dependant/www/history.t after patch application test 4 fails

not ok 4 - Cyrillic characters with umlauts show correctly on the history page.
#   Failed test 'Cyrillic characters with umlauts show correctly on the history page.'
#   at t/db_dependent/www/history.t line 65.
Comment 3 M. Tompsett 2017-06-11 02:11:03 UTC
Check the about.pl page -- The timeline is probably mostly blank. I replicated this problem on the kohadevbox.
On an old school git install, the 4th test passes, because the history.txt file is found, and so is that translator's name. :)
Comment 4 M. Tompsett 2017-06-11 02:15:53 UTC
Make sure /usr/share/doc/koha-common/history.txt (or some path similar to this) exists, if you find your the about.pl timeline tab mostly empty.
Comment 5 Lee Jamison 2017-06-11 04:42:30 UTC
(In reply to M. Tompsett from comment #4)
> Make sure /usr/share/doc/koha-common/history.txt (or some path similar to
> this) exists, if you find your the about.pl timeline tab mostly empty.

Thank you for the advice! It turned out that there must have been a misconfiguration but after I ran reset_all in kohadevbox your patch works correctly after applying it so I will sign off on it
Comment 6 Lee Jamison 2017-06-11 04:45:49 UTC
Created attachment 64174 [details] [review]
[SIGNED OFF] Bug 18773: Fix failing history.t test

changed get() to get_ok() and increased test count to match.
Now the master build will only fail on search_utf8.t

TEST PLAN
---------
assuming KOHA_CONF is set.
$ export KOHA_INTRANET_URL=...
$ export KOHA_OPAC_URL=...
$ prove -v t/db_dependent/www/history.t

run koha qa test tools

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Works correctly using text plan provided and passes QA tools.
Comment 7 Jonathan Druart 2017-06-12 13:40:02 UTC
The tests pass for me, but the changes make sense (get only takes 1 parameter).
It will certainly not fix Jenkins failures.
Comment 8 Jonathan Druart 2017-06-12 13:42:28 UTC
Created attachment 64200 [details] [review]
Bug 18773: Fix failing history.t test

changed get() to get_ok() and increased test count to match.
Now the master build will only fail on search_utf8.t

TEST PLAN
---------
assuming KOHA_CONF is set.
$ export KOHA_INTRANET_URL=...
$ export KOHA_OPAC_URL=...
$ prove -v t/db_dependent/www/history.t

run koha qa test tools

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Works correctly using text plan provided and passes QA tools.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2017-06-12 14:27:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 10 Fridolin SOMERS 2017-06-13 06:51:05 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 11 Katrin Fischer 2017-06-13 20:39:35 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.

Very excited to see those - hope they will turn Jenkins green!